Skip to main content
Search Again

We think these articles could help you:

    See More
    Nintex Knowledge Base

    Nintex Workflow Browser Compatibility

    Status: Validated

    QUESTION
    What web browsers are compatible with Nintex Workflow?
    ANSWER
    Nintex Workflow 2016
    Design and runtime
    To design and run Nintex Workflows.
    We support IE10, IE11 and the latest versions of Firefox, Chrome, Safari and Edge

    Nintex Workflow 2013
    Design and runtime
    To design and run Nintex Workflows.
    We support IE8.x, however IE9 and above is recommended
     
    Nintex Workflow 2010
    Design and runtime
    To design and run Nintex Workflows.
    We support IE7.x, however IE8 and above is recommended
     
    Nintex Workflow for Office 365
    Design and runtime
    We support IE9 and above, however we recommend using IE10 and above. We also support the latest versions of Firefox and Chrome.
    ADDITIONAL INFORMATION
    RELATED LINKS
    • Was this article helpful?